Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.xml.examples
Class ReportParserError

    java.lang.Object
      |
      +--org.apache.log4j.xml.examples.ReportParserError

All Implemented Interfaces:
  ErrorHandler

public class ReportParserError
extends Object
implements ErrorHandler

This class is needed for validating a log4j.dtd derived XML file.

Since:
  0.8.3
Author:
  Joe Kesselman

Constructor Summary
`ReportParserError()`

Method Summary
`void` | `error(SAXParseException e)`
`void` | `fatalError(SAXParseException e)`
`void` | `warning(SAXParseException e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportParserError

    public ReportParserError()

Method Detail

### warning

    public void warning(SAXParseException e)

  Specified by:
    `warning` in interface `ErrorHandler`

### error

    public void error(SAXParseException e)

  Specified by:
    `error` in interface `ErrorHandler`

### fatalError

    public void fatalError(SAXParseException e)

  Specified by:
    `fatalError` in interface `ErrorHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.